%define	pname	crimson
%define	name	%{pname}-fields
%define	version	0.4.0
%define	release	1mdk

Name:		%name
Version:	%{version}
Release:	%{release}
Summary:	Crimson Fields - Tactical war game with hexagonal grid
License:	GPL
Group:		Games/Strategy
URL:		http://crimson.seul.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		http://crimson.seul.org/files/%{pname}-%{version}.tar.bz2
#Source10:	%{name}.16.png
#Source11:	%{name}.32.png
#Source12:	%{name}.48.png

BuildRequires:	ImageMagick SDL_mixer-devel SDL_ttf-devel libxslt-proc zlib-devel
Obsoletes:	crimson-field
Provides:	crimson-field

%description
Crimson Fields is a tactical war game in the tradition of Battle Isle. While
not being an exact clone, it tries to keep closer to the very first part of the
series than to the later ones, especially with regard to a rather simple rule
set and straight forward game play.

A simple editor can be used to create custom level files.

%prep
%setup -q -n %{pname}-%{version}

%build
%configure2_5x --bindir=%{_gamesbindir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}): \
 command="%{_gamesbindir}/%{pname}" \
 icon="%{pname}.png" \
 needs="x11" \
 section="Amusement/Strategy" \
 title="Crimson Fields" \
 longtitle="Tactical war game with hexagonal grid"
EOF

#install -d $RPM_BUILD_ROOT/%{_miconsdir}
#install -d $RPM_BUILD_ROOT/%{_liconsdir}
#bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
#bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
#bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

install -d $RPM_BUILD_ROOT%{_iconsdir} \
           $RPM_BUILD_ROOT%{_miconsdir}
install -m644 gfx/crimson.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{pname}.png
convert -geometry 32x32 gfx/crimson.png $RPM_BUILD_ROOT%{_iconsdir}/%{pname}.png
convert -geometry 16x16 gfx/crimson.png $RPM_BUILD_ROOT%{_miconsdir}/%{pname}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc NEWS COPYING README 
%{_menudir}/%{name}
%{_iconsdir}/%{pname}.png
%{_miconsdir}/%{pname}.png
%{_liconsdir}/%{pname}.png
%{_gamesbindir}/*
%{_datadir}/%{pname}
%{_datadir}/pixmaps/*
%{_mandir}/man?/*

%changelog
* Wed Feb 25 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.4.0-1mdk
- 0.4.0
- buildrequires
- cosmetics
- drop unused icons from src.rpm

* Thu Jan 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-1mdk
- rename to crimson-fields

* Wed Oct 08 2003 Abel Cheung <deaddog@deaddog.org> 0.3.7-1mdk
- 0.3.7
- Switch rpm name back to "crimson" as all other crimson packages
  are named so, and this is for ease of spec maintenance
- Move binary to games related path
- Use original icons (which seem to make more sense) and keep
  original ones. Please yell if custom icons are in fact preferred...

* Wed Aug 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-1mdk
- 0.3.5

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-2mdk
- rebuild

* Wed Jul 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- from Arkadiusz Lipiec <alipiec@elka.pw.edu.pl> :
        - 0.3.4

* Wed May 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Thu May 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- from Arkadiusz Lipiec <alipiec@elka.pw.edu.pl> : 
	- 0.3.2

* Thu Apr 24 2003 Arkadiusz Lipiec <alipiec@elka.pw.edu.pl> 0.3.1-1mdk
- 0.3.1
- created png icons and menu entries
- rebuilt

* Mon Feb 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- 0.3.0

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.8-2mdk
- rebuild

* Sun Nov 03 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.2.8-1mdk
- 0.2.8

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.6-3mdk
- rebuild

* Thu Jul 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.6-2mdk
- rebuild for new vorbis

* Tue Jul 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.6-1mdk
- 0.2.6

* Thu Jun 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-1mdk
- 0.2.5

* Fri May 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-2mdk
- rebuild against new libstdc++

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-1mdk
- 0.2.3

* Wed Dec 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- 0.2.2

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.6-2mdk
- renamed to crimson-field

* Sun Aug 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.6-1mdk
- updated to 0.1.6

* Tue Jun 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-1mdk
- added in contribs by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- first Mandrake release
